com.taosdata.jdbc.tmq

## Interface Deserializer<V>

All Superinterfaces:
  AutoCloseable, Closeable

All Known Implementing Classes:
  MapDeserializer, MapEnhanceDeserializer, ReferenceDeserializer

    public interface Deserializer<V>
    extends Closeable

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `close()`
`default void` `configure(Map<?,?> configs)`
`V` `deserialize(ResultSet data, String topic, String dbName)`

### Method Detail

#### configure

    default void configure(Map<?,?> configs)

#### deserialize

    V deserialize(ResultSet data,
                  String topic,
                  String dbName)
           throws DeserializerException,
                  SQLException

Throws:
  `DeserializerException`
  `SQLException`

#### close

    default void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`